Subject: Compilation of FVWM v2.2 on SGI

From: [email-masked]
Date: Wed, 24 Feb 1999 18:07:32 -0600 (CST)

Full_Name: Mark Manning
Version: 2.2
CVS_Date: 
OS: SGI Unix
X_Server: X11R6.3
Submission from: (NULL) (139.169.226.24)

Upon downloading FVWM v2.2 and trying to compile the program I received an
error where the C compiler could not locate __libc_attr__.  I re-ran the
configure program and still no luck.  Eventually I re-ran the configure,
did
a make clean, and then a make and everything compiled.  The following is
the
entire make along with the warnings which I thought I'd pass along.

PS: If you need to have this compiled again let me know and I can download
your update and try compiling it again.  :-)

Later.

#######################################################################
#	Start of compile
#######################################################################
sioux[30]{/disk4/mark/fvwm-2.2}(17:39) >make clean;make
No suffix list.
Making clean in .
No suffix list.
Making clean in tests
No suffix list.
Making clean in sample.fvwmrc
No suffix list.
Making clean in icons
No suffix list.
Making clean in docs
No suffix list.
Making clean in utils
        test -z "xpmroot" || rm -f xpmroot
        rm -f *.o core *.core
Making clean in modules
No suffix list.
Making clean in .
No suffix list.
Making clean in FvwmWinList
        test -z "FvwmWinList" || rm -f FvwmWinList
        rm -f *.o core *.core
Making clean in FvwmTalk
        test -z "FvwmTalk" || rm -f FvwmTalk
        rm -f *.o core *.core
Making clean in FvwmScroll
        test -z "FvwmScroll" || rm -f FvwmScroll
        rm -f *.o core *.core
Making clean in FvwmSaveDesk
        test -z "FvwmSaveDesk" || rm -f FvwmSaveDesk
        rm -f *.o core *.core
Making clean in FvwmSave
        test -z "FvwmSave" || rm -f FvwmSave
        rm -f *.o core *.core
Making clean in FvwmRearrange
        test -z "FvwmRearrange" || rm -f FvwmRearrange
        test -z "FvwmCascade FvwmTile" || rm -f FvwmCascade FvwmTile
        rm -f *.o core *.core
Making clean in FvwmPager
        test -z "FvwmPager" || rm -f FvwmPager
        rm -f *.o core *.core
Making clean in FvwmM4
        test -z "FvwmM4" || rm -f FvwmM4
        rm -f *.o core *.core
Making clean in FvwmIdent
        test -z "FvwmIdent" || rm -f FvwmIdent
        rm -f *.o core *.core
Making clean in FvwmIconMan
        test -z "FvwmIconMan" || rm -f FvwmIconMan
        rm -f *.o core *.core
Making clean in FvwmIconBox
        test -z "FvwmIconBox" || rm -f FvwmIconBox
        rm -f *.o core *.core
Making clean in FvwmForm
        test -z "FvwmForm" || rm -f FvwmForm
        rm -f *.o core *.core
Making clean in FvwmEvent
        test -z "FvwmEvent" || rm -f FvwmEvent
        rm -f *.o core *.core
Making clean in FvwmCpp
        test -z "FvwmCpp" || rm -f FvwmCpp
        rm -f *.o core *.core
Making clean in FvwmButtons
        test -z "FvwmButtons" || rm -f FvwmButtons
        rm -f *.o core *.core
Making clean in FvwmBanner
        test -z "FvwmBanner" || rm -f FvwmBanner
        rm -f *.o core *.core
Making clean in FvwmBacker
        test -z "FvwmBacker" || rm -f FvwmBacker
        rm -f *.o core *.core
Making clean in FvwmAuto
        test -z "FvwmAuto" || rm -f FvwmAuto
        rm -f *.o core *.core
Making clean in FvwmAudio
        test -z "FvwmAudio" || rm -f FvwmAudio
        rm -f *.o core *.core
Making clean in FvwmAnimate
        test -z "FvwmAnimate" || rm -f FvwmAnimate
        rm -f *.o core *.core
Making clean in fvwm
        test -z "fvwm2" || rm -f fvwm2
        rm -f *.o core *.core
Making clean in libs
        test -z "libfvwm.a" || rm -f libfvwm.a
        rm -f *.o core *.core
No suffix list.
        cd . \
          && CONFIG_FILES= CONFIG_HEADERS=config.h \
             /bin/sh ./config.status
creating config.h
config.h is unchanged
        make  all-recursive
No suffix list.
Making all in libs
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c ClientMsg.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c GetFont.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c Grab.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c ModParse.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c Module.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c Parse.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c Picture.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c Strings.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c System.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c envvar.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c safemalloc.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c wild.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c XResource.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c debug.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c ColorUtils.c
        rm -f libfvwm.a
        ar cru libfvwm.a ClientMsg.o GetFont.o Grab.o ModParse.o Module.o 
Parse.o Picture.o Strings.o System.o envvar.o safemalloc.o wild.o 
XResource.o debug.o ColorUtils.o 
        : libfvwm.a
Making all in fvwm
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c add_window.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c bindings.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c borders.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c builtins.c \
                -DFVWMRC=\".fvwm2rc\" \
                -DFVWM_MODULEDIR=\"~mark/libexec/fvwm/2.2\" \
                -DFVWM_CONFIGDIR=\"~mark/etc\"
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c colormaps.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c colors.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c complex.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c decorations.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c events.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c focus.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c functions.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c fvwm.c \
                -DFVWMRC=\".fvwm2rc\" \
                -DFVWM_MODULEDIR=\"~mark/libexec/fvwm/2.2\" \
                -DFVWM_CONFIGDIR=\"~mark/etc\"
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c fvwmdebug.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c icons.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c menus.c
cfe: Warning 709: menus.c, line 1374: Incompatible pointer type assignment
                   &mw, &mh, &JunkBW, &JunkDepth);
                ---^
cfe: Warning 709: menus.c, line 1374: Incompatible pointer type assignment
                   &mw, &mh, &JunkBW, &JunkDepth);
                --------^
cfe: Warning 709: menus.c, line 1507: Incompatible pointer type assignment
                 &JunkWidth, &mr_height, &JunkBW, &JunkDepth);
                -------------^
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c misc.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c modconf.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c module.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c move.c
cfe: Warning 709: move.c, line 143: Incompatible pointer type assignment
               &width, &height, &JunkBW, &JunkDepth);
        -------^
cfe: Warning 709: move.c, line 143: Incompatible pointer type assignment
               &width, &height, &JunkBW, &JunkDepth);
        ---------------^
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c placement.c
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs      -g -c read.c \
                -DFVWMRC=\".fvwm2rc\" \
                -DFVWM_MODULEDIR=\"~mark/libexec/fvwm/2.2\" \
                -DFVWM_CONFIGDIR=\"~mark/etc\"
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I../l
====> MESSAGE TRUNCATED AT 8192 <====

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]